Scraper

Cancel Bulk Scraping by Result ID

Cancel a bulk scraping job using the bulk result ID returned from the bulk rerun response.

Note

Use the V3 Platform API Server (https://api.app.mrscraper.com) host when calling this endpoint.

PATCH
/api/v1/scrapers-bulks/result/{resultId}/cancel
x-api-token<token>

In: header

Path Parameters

id*string

Bulk result ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.app.mrscraper.com/api/v1/scrapers-bulks/result/{resultId}/cancel"
{
  "message": "Successful operation!",
  "data": {
    "id": "ec5d81b9-55fa-4949-bba9-cceb448cb950",
    "bulkUrls": [
      "https://books.toscrape.com/catalogue/page-1.html",
      "https://books.toscrape.com/catalogue/page-2.html",
      "https://books.toscrape.com/catalogue/page-3.html",
      "https://books.toscrape.com/catalogue/page-4.html",
      "https://books.toscrape.com/catalogue/page-5.html",
      "https://books.toscrape.com/catalogue/page-6.html",
      "https://books.toscrape.com/catalogue/page-7.html"
    ],
    "canceledUrls": [
      "https://books.toscrape.com/catalogue/page-5.html",
      "https://books.toscrape.com/catalogue/page-6.html",
      "https://books.toscrape.com/catalogue/page-7.html"
    ]
  }
}
{
  "message": "Invalid or missing API token",
  "error": "Unauthorized",
  "statusCode": 401
}
{
  "message": "Resource not found",
  "error": "Not Found",
  "statusCode": 404
}
{
  "message": "Validation failed",
  "error": "Unprocessable Entity",
  "statusCode": 422
}
{
  "message": "An unexpected error occurred",
  "error": "Internal Server Error",
  "statusCode": 500
}